inherit_from:
  - ../config/rubocop.yml

CodeReuse/ActiveRecord:
  Enabled: false

Gitlab/Json:
  Enabled: false

# FIXME
Gitlab/RSpec/AvoidSetup:
  Enabled: false

Naming/FileName:
  Exclude:
    - spec/**/*.rb
    - lib/gitlab/rspec.rb
    - lib/gitlab/rspec/all.rb

Rails/Pluck:
  Enabled: false

RSpec/AvoidConditionalStatements:
  Enabled: false

RSpec/MultipleMemoizedHelpers:
  Max: 6
  AllowSubject: true
